<?php 
	global $entity_obj, $bookyourtravel_theme_globals, $bookyourtravel_theme_of_custom;
	
	$enc_key = $bookyourtravel_theme_globals->get_enc_key();
	$add_captcha_to_forms = $bookyourtravel_theme_globals->add_captcha_to_forms();
	
	$c_val_1_inq = mt_rand(1, 20);
	$c_val_2_inq = mt_rand(1, 20);

	$c_val_1_inq_str = BookYourTravel_Theme_Utils::encrypt($c_val_1_inq, $enc_key);
	$c_val_2_inq_str = BookYourTravel_Theme_Utils::encrypt($c_val_2_inq, $enc_key);
	
	$post_type = $entity_obj->get_entity_type();
	$post_id = $entity_obj->get_base_id();
	$contact_form_heading = '';
	
	$contact_form_heading = esc_html__('Use the form below to contact us directly.', 'bookyourtravel');
	$inquiry_form_fields = $bookyourtravel_theme_globals->get_inquiry_form_fields();
?>
<script>
	window.InvalidCaptchaMessage = <?php echo json_encode(esc_html__('Invalid captcha, please try again!', 'bookyourtravel')); ?>;
	window.postId = <?php echo json_encode( $post_id ); ?>;
	window.inquiryFormRequiredError = <?php echo json_encode(esc_html__('This is a required field', 'bookyourtravel')); ?>;
	window.inquiryFormEmailError = <?php echo json_encode(esc_html__('You have not entered a valid email', 'bookyourtravel')); ?>;
	
	window.inquiryFormFields = <?php echo json_encode($inquiry_form_fields)?>;
</script>
<?php do_action( 'bookyourtravel_show_' . $post_type . '_inquiry_form_before' ); ?>
<!--full-width content-->
<section class="full-width <?php echo esc_attr($post_type); ?>-inquiry-section inquiry-section" style="display:none">
	<div class="static-content">
		<form method="post" action="<?php echo BookYourTravel_Theme_Utils::get_current_page_url(); ?>" class="inquiry <?php echo esc_attr($post_type); ?>-inquiry-form">
			<h2><?php echo $contact_form_heading; ?></h2>
			<div class="error" style="display:none;"><div><p></p></div></div>
			<p><?php esc_html_e('Please complete all required fields.', 'bookyourtravel'); ?></p>
			<div class="row">
				<?php 
				foreach ($inquiry_form_fields as $inquiry_field) { 
					$field_type = $inquiry_field['type'];
					$field_hidden = isset($inquiry_field['hide']) && $inquiry_field['hide'] == 1 ? true : false;
					$field_label = isset($inquiry_field['label']) ? $inquiry_field['label'] : '';
					$field_label = $bookyourtravel_theme_of_custom->get_translated_dynamic_string($bookyourtravel_theme_of_custom->get_option_id_context('inquiry_form_fields') . ' ' . $field_label, $field_label);
					if (!$field_hidden) {
						if ($field_type == 'email') { ?>
						<div class="f-item full-width">
							<label for="<?php echo esc_attr($inquiry_field['id']) ?>"><?php echo esc_html($field_label); ?></label>
							<input type="email" id="<?php echo esc_attr($inquiry_field['id']) ?>" name="<?php echo esc_attr($inquiry_field['id']) ?>" />
						</div>
					
						<?php } else if ($field_type == 'textarea') { ?>
		
						<div class="f-item full-width">
							<label><?php echo esc_html($field_label); ?></label>
							<textarea name='<?php echo esc_attr($inquiry_field['id']) ?>' id='<?php echo esc_attr($inquiry_field['id']) ?>' rows="10" cols="10" ></textarea>
						</div>
						<?php } else { ?>
					
						<div class="f-item full-width">
							<label for="<?php echo esc_attr($inquiry_field['id']) ?>"><?php echo esc_html($field_label); ?></label>
							<input type="text" name="<?php echo esc_attr($inquiry_field['id']) ?>" id="<?php echo esc_attr($inquiry_field['id']) ?>" />
						</div>
					<?php 	
						}
					}
				}
				?>
				<?php if ($add_captcha_to_forms) { ?>
				<div class="f-item full-width captcha">
						<label><?php echo sprintf(esc_html__('How much is %d + %d', 'bookyourtravel'), $c_val_1_inq, $c_val_2_inq) ?>?</label>
						<input type="text" required="required" id="c_val_s_inq" name="c_val_s_inq" />
						<input type="hidden" name="c_val_1_inq" id="c_val_1_inq" value="<?php echo esc_attr($c_val_1_inq_str); ?>" />
						<input type="hidden" name="c_val_2_inq" id="c_val_2_inq" value="<?php echo esc_attr($c_val_2_inq_str); ?>" />
				</div>
				<?php } ?>
				
				<div class="f-item full-width">
					<?php BookYourTravel_Theme_Utils::render_link_button("#", "gradient-button cancel-" . $post_type . "-inquiry", "cancel-inquiry", esc_html__('Cancel', 'bookyourtravel')); ?>
					<?php BookYourTravel_Theme_Utils::render_submit_button("gradient-button", "submit-" . $post_type . "-inquiry", esc_html__('Submit inquiry', 'bookyourtravel')); ?>
				</div>
			</div>
		</form>
	</div>
</section>
<!--//full-width content-->
<?php 
do_action( 'bookyourtravel_show_' . $post_type . '_inquiry_form_after' );