<?php 
global $entity_obj, $bookyourtravel_review_helper, $bookyourtravel_theme_globals, $bookyourtravel_theme_of_custom;

if (is_user_logged_in()) {
	$post_type = $entity_obj->get_entity_type();
	$post_id = $entity_obj->get_base_id();
	$review_fields = $bookyourtravel_review_helper->list_review_fields($post_type);
?>
<script>
	window.postType = <?php echo json_encode($post_type); ?>;
	window.postId = <?php echo json_encode($post_id); ?>;
	window.reviewFields = new Array();
	<?php if (count($review_fields) > 0) { 
	foreach ($review_fields as $field) {?>
	reviewFields.push(<?php echo json_encode($field['id']); ?>);
	<?php }
	} ?>
	window.reviewFormLikesError = <?php echo json_encode(esc_html__('Please enter your likes', 'bookyourtravel')); ?>;
	window.reviewFormDislikesError = <?php echo json_encode(esc_html__('Please enter your dislikes', 'bookyourtravel')); ?>;
</script>
<?php do_action( 'bookyourtravel_show_' . $post_type . '_review_form_before' ); ?>
<!--full-width content-->
<div class="row">
	<section class="full-width review-<?php echo esc_attr($post_type); ?>-section" style="display:none">
		<article class="static-content">
			<form id="review-<?php echo esc_attr($post_type); ?>-form" method="post" action="<?php echo BookYourTravel_Theme_Utils::get_current_page_url(); ?>" class="review-form review-<?php echo esc_attr($post_type); ?>-form">
				<h2><?php echo sprintf(esc_html__('We would like to know your opinion about %s', 'bookyourtravel'), $entity_obj->get_title()); ?></h2>
				<div class="error" style="display:none;"><span></span></div>
				<p><?php esc_html_e('Please score the following:', 'bookyourtravel'); ?></p>
				<table>
					<tr>
						<th><?php esc_html_e('Element', 'bookyourtravel'); ?></th>
						<?php for ( $i = 1; $i <= 10; $i++ ) {
							echo '<th>' . $i . '</th>';
						} ?>
					</tr>
					<?php
					
					foreach($review_fields as $field) {
						$field_label = isset($field['label']) ? $field['label'] : '';
						$field_label = $bookyourtravel_theme_of_custom->get_translated_dynamic_string($bookyourtravel_theme_of_custom->get_option_id_context($post_type . '_review_fields') . ' ' . $field_label, $field_label);								
					?>
					<tr>
						<th><?php echo $field_label; ?></th>
						<?php for ( $i = 1; $i <= 10; $i++ ) {
							echo '<td><input type="radio" id="reviewField_' . $field['id'] . '_' . $i . '" value="' . $i . '" name="reviewField_' . $field['id'] . '" /></td>';
						} ?>
					</tr>
					<?php } ?>
				</table>
				<h3><?php echo sprintf(esc_html__('What did you like about the %s?', 'bookyourtravel'), $post_type); ?></h3>
				<div class="row"><div class="f-item full-width">
					<textarea id="likes" name='likes' rows="10" cols="10" ></textarea>
				</div></div>					
				<h3><?php echo sprintf(esc_html__('What did you not like about the %s?', 'bookyourtravel'), $post_type); ?></h3>
				<div class="row"><div class="f-item full-width">
					<textarea id="dislikes" name='dislikes' rows="10" cols="10" ></textarea>
				</div>	</div>	
				<?php BookYourTravel_Theme_Utils::render_link_button("#", "gradient-button cancel-" . $post_type . "-review", "", esc_html__('Cancel', 'bookyourtravel')); ?>
				<?php BookYourTravel_Theme_Utils::render_submit_button("gradient-button", "submit-" . $post_type . "-review", esc_html__('Submit review', 'bookyourtravel')); ?>
			</form>
		</article>
	</section>
</div>
<!--//full-width content-->
<?php do_action( 'bookyourtravel_show_' . $post_type . '_review_form_after' ); ?>
<?php 
}