<?php 

get_header();  
BookYourTravel_Theme_Utils::breadcrumbs();
get_sidebar('under-header');	

global $post, $accommodation_price, $price_decimal_places, $default_currency_symbol, $show_currency_symbol_after, $current_user, $accommodation_obj, $entity_obj, $score_out_of_10, $default_accommodation_tabs, $bookyourtravel_accommodation_helper, $bookyourtravel_theme_of_custom, $bookyourtravel_theme_globals, $enable_extra_items, $date_from, $date_to;

$enable_extra_items = $bookyourtravel_theme_globals->enable_extra_items();
$enable_reviews = $bookyourtravel_theme_globals->enable_reviews();
$enable_accommodations = $bookyourtravel_theme_globals->enable_accommodations();
$accommodation_extra_fields = $bookyourtravel_theme_globals->get_accommodation_extra_fields();
$location_extra_fields = $bookyourtravel_theme_globals->get_location_extra_fields();
$tab_array = $bookyourtravel_theme_globals->get_accommodation_tabs();
$price_decimal_places = $bookyourtravel_theme_globals->get_price_decimal_places();
$default_currency_symbol = $bookyourtravel_theme_globals->get_default_currency_symbol();
$show_currency_symbol_after = $bookyourtravel_theme_globals->show_currency_symbol_after();
$light_slider_pause_between_slides = $bookyourtravel_theme_globals->get_light_slider_pause_between_slides();

if ( have_posts() ) {

	the_post();

	$accommodation_obj = new BookYourTravel_Accommodation($post);
	
	$entity_obj = $accommodation_obj;
	$accommodation_id = $accommodation_obj->get_id();
	$base_accommodation_id = $accommodation_obj->get_base_id();
	$accommodation_location = $accommodation_obj->get_location();
	$disabled_room_types = $accommodation_obj->get_disabled_room_types();	
	$accommodation_latitude = $accommodation_obj->get_custom_field('latitude');
	$accommodation_longitude = $accommodation_obj->get_custom_field('longitude');
	$accommodation_count_children_stay_free = $accommodation_obj->get_count_children_stay_free();
	$accommodation_is_price_per_person = $accommodation_obj->get_is_price_per_person();
	$accommodation_is_reservation_only = $accommodation_obj->get_is_reservation_only();
	$accommodation_rent_type = $accommodation_obj->get_rent_type();
	
	$total_price_label = esc_html__('Total price', 'bookyourtravel');
	if ($accommodation_is_price_per_person && $accommodation_count_children_stay_free > 0)
		$total_price_children_stay_free_label = esc_html__('Total price', 'bookyourtravel') . '<br /><em class="note">' . sprintf(esc_html__('* first %d children stay free', 'bookyourtravel') . '</em>', $accommodation_count_children_stay_free);	
		
	$min_adult_count = 1;
	$max_adult_count = $max_child_count = $min_child_count = 0;
	
	if ($disabled_room_types) {	
		$min_adult_count = $accommodation_obj->get_min_adult_count();
		$max_adult_count = $accommodation_obj->get_max_adult_count();
		$min_child_count = $accommodation_obj->get_min_child_count();
		$max_child_count = $accommodation_obj->get_max_child_count();
	}

	$min_days_stay = intval($accommodation_obj->get_min_days_stay());
	$max_days_stay = intval($accommodation_obj->get_max_days_stay());
	$checkin_week_day = $accommodation_obj->get_checkin_week_day();
	$checkout_week_day = $accommodation_obj->get_checkout_week_day();

	$days_of_week = BookYourTravel_Theme_Utils::get_php_days_of_week();
	$checkin_week_day_text = isset($days_of_week[$checkin_week_day]) ? $days_of_week[$checkin_week_day] : '';
	$checkout_week_day_text = isset($days_of_week[$checkout_week_day]) ? $days_of_week[$checkout_week_day] : '';
	
	$accommodation_price = $bookyourtravel_accommodation_helper->get_accommodation_price($accommodation_id);
	
	// include various forms (booking, review, confirmation)
	if ($enable_reviews) {
		get_template_part('includes/parts/review', 'form'); 
	}
	?>
	<div class="row">
		<script>
			window.postType = 'accommodation';
			window.pauseBetweenSlides = <?php echo $light_slider_pause_between_slides * 1000; ?>;
		</script>
		<?php
		get_template_part('includes/parts/inquiry', 'form');
		?>		
		<!--accommodation three-fourth content-->
		<section class="three-fourth">
			<?php
			get_template_part('includes/parts/accommodation', 'booking-form');
			get_template_part('includes/parts/accommodation', 'confirmation-form');
			?>	
			<script>
				window.defaultDateToText = <?php echo json_encode(esc_html__('Select your check out date using the calendar above.', 'bookyourtravel')); ?>;
				window.defaultExtraItemsText = <?php echo json_encode(esc_html__('None selected', 'bookyourtravel')); ?>;
				window.minDaysStayError = <?php echo json_encode(wp_kses(sprintf(__('Accommodation requires <strong>%d</strong> minimum days stay!', 'bookyourtravel'), $min_days_stay), array('strong' => array()))); ?>;
				window.maxDaysStayError = <?php echo json_encode(wp_kses(sprintf(__('Accommodation allows <strong>%d</strong> maximum days stay!', 'bookyourtravel'), $max_days_stay), array('strong' => array()))); ?>;
				window.checkinWeekDayError = <?php echo json_encode(wp_kses(sprintf(__('Accommodation allows checkins only on <strong>%s</strong>!', 'bookyourtravel'), $checkin_week_day_text), array('strong' => array()))); ?>;
				window.checkinMonthlyFirstDayError = <?php echo json_encode(esc_html(sprintf(__('This accommodation is rented on a monthly basis and only allows checkins on the first day of the month!', 'bookyourtravel')))); ?>;
				window.checkoutMonthlyLastDayError = <?php echo json_encode(esc_html(sprintf(__('This accommodation is rented on a monthly basis and only allows checkouts on the last day of the month!', 'bookyourtravel')))); ?>;
				window.checkoutWeekDayError = <?php echo json_encode(wp_kses(sprintf(__('Accommodation allows checkouts only on <strong>%s</strong>!', 'bookyourtravel'), $checkout_week_day_text), array('strong' => array()))); ?>;
				window.checkoutWeeklyDayError = <?php echo json_encode(esc_html(sprintf(__('This accommodation is rented on a weekly basis and only allows checkouts 7 day multiples of your selected check-in day!', 'bookyourtravel')))); ?>;
				window.formSingleError = <?php echo json_encode(esc_html__('You failed to provide 1 required field. It has been highlighted below.', 'bookyourtravel')); ?>;
				window.formMultipleError = <?php echo json_encode(esc_html__('You failed to provide {0} required fields. They have been highlighted below.', 'bookyourtravel'));  ?>;
				window.accommodationId = <?php echo $base_accommodation_id; ?>;

				window.accommodationRentType = <?php echo json_encode($accommodation_rent_type); ?>;
				window.accommodationDisabledRoomTypes = <?php echo $disabled_room_types; ?>;
				window.accommodationIsReservationOnly = <?php echo $accommodation_is_reservation_only; ?>;
				window.accommodationIsPricePerPerson = <?php echo $accommodation_is_price_per_person; ?>;
				window.accommodationCountChildrenStayFree = <?php echo $accommodation_count_children_stay_free; ?>;
				<?php if ($disabled_room_types) { ?>
				window.accommodationMaxAdultCount =  <?php echo $max_adult_count; ?>;
				window.accommodationMaxChildCount = <?php echo $max_child_count; ?>;
				window.accommodationMinAdultCount =  <?php echo $min_adult_count; ?>;
				window.accommodationMinChildCount = <?php echo $min_child_count; ?>;
				<?php } ?>
				window.accommodationMinDaysStay = <?php echo $min_days_stay; ?>;
				window.accommodationMaxDaysStay = <?php echo $max_days_stay; ?>;
				window.accommodationCheckinWeekday = <?php echo $checkin_week_day; ?>;
				window.accommodationCheckoutWeekday = <?php echo $checkout_week_day; ?>;
				window.entityLatitude = <?php echo json_encode($accommodation_latitude); ?>;
				window.entityLongitude = <?php echo json_encode($accommodation_longitude); ?>;
				window.entityInfoboxText = <?php echo json_encode('<strong>' . $accommodation_obj->get_title() . '</strong><br />' . $accommodation_obj->get_custom_field('address') . '<br />' . $accommodation_obj->get_custom_field('website_address')); ?>;
				window.currentMonth = <?php echo json_encode(date_i18n('n')); ?>;
				window.currentYear = <?php echo json_encode( date_i18n('Y')); ?>;
				window.currentDay = <?php echo json_encode( date_i18n('j')); ?>;
				window.pricePerAdultLabel = <?php echo json_encode(esc_html__('Rate per adult', 'bookyourtravel')); ?>;
				window.pricePerPersonLabel = <?php echo json_encode(esc_html__('Rate per person', 'bookyourtravel')); ?>;
				window.adultCountLabel = <?php echo json_encode(esc_html__('Adults', 'bookyourtravel')); ?>;
				window.childCountLabel = <?php echo json_encode(esc_html__('Children', 'bookyourtravel')); ?>;
				window.pricePerChildLabel = <?php echo json_encode(esc_html__('Rate per child', 'bookyourtravel')); ?>;
				window.pricePerDayLabel = <?php echo json_encode(esc_html__('Price per day', 'bookyourtravel')); ?>;
				window.extraItemsPriceTotalLabel = <?php echo json_encode(esc_html__('Extra items total price', 'bookyourtravel')); ?>;
				window.priceTotalLabel = <?php echo json_encode($total_price_label); ?>;
				window.priceTotalChildrenStayFreeLabel = <?php echo !empty($total_price_children_stay_free_label) ? json_encode($total_price_children_stay_free_label) : json_encode(''); ?>;
				window.dateLabel = <?php echo json_encode(esc_html__('Date', 'bookyourtravel')); ?>;
				window.itemLabel = <?php echo json_encode(esc_html__('Item', 'bookyourtravel')); ?>;
				window.priceLabel = <?php echo json_encode(esc_html__('Price', 'bookyourtravel')); ?>;
				window.pricedPerDayPerPersonLabel = <?php echo json_encode(esc_html__('priced per day, per person', 'bookyourtravel')); ?>;
				window.pricedPerDayLabel = <?php echo json_encode(esc_html__('priced per day', 'bookyourtravel')); ?>;
				window.pricedPerPersonLabel = <?php echo json_encode(esc_html__('priced per person', 'bookyourtravel')); ?>;
				window.enableExtraItems = <?php echo json_encode($enable_extra_items); ?>;
				window.showPriceBreakdownLabel = <?php echo json_encode(esc_html__('Show price breakdown', 'bookyourtravel')); ?>;
				window.hidePriceBreakdownLabel = <?php echo json_encode(esc_html__('Hide price breakdown', 'bookyourtravel')); ?>;
			</script>
			<?php $accommodation_obj->render_image_gallery(); ?>
			<!--inner navigation-->
			<nav class="inner-nav">
				<ul>
					<?php
					do_action( 'bookyourtravel_show_single_accommodation_tab_items_before' );

					$first_display_tab = '';			
					$i = 0;
					if (is_array($tab_array) && count($tab_array) > 0) {
						foreach ($tab_array as $tab) {
						
							if (!isset($tab['hide']) || $tab['hide'] != '1') {
							
								$tab_label = '';
								if (isset($tab['label'])) {
									$tab_label = $tab['label'];
									$tab_label = $bookyourtravel_theme_of_custom->get_translated_dynamic_string($bookyourtravel_theme_of_custom->get_option_id_context('accommodation_tabs') . ' ' . $tab['label'], $tab_label);
								}
							
								if($i==0)
									$first_display_tab = $tab['id'];
								if ($tab['id'] == 'reviews' && $enable_reviews) {
									BookYourTravel_Theme_Utils::render_tab("accommodation", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								} elseif ($tab['id'] == 'location' && !empty($accommodation_latitude) && !empty($accommodation_longitude)) {
									BookYourTravel_Theme_Utils::render_tab("accommodation", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								} elseif ($tab['id'] == 'things-to-do' && isset($accommodation_location)) {
									BookYourTravel_Theme_Utils::render_tab("accommodation", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								} elseif ($tab['id'] == 'description' || $tab['id'] == 'availability' || $tab['id'] == 'facilities') {
									BookYourTravel_Theme_Utils::render_tab("tour", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								} else {
								
									$all_empty_fields = BookYourTravel_Theme_Utils::are_tab_fields_empty('accommodation_extra_fields', $accommodation_extra_fields, $tab['id'], $accommodation_obj);
									
									if (!$all_empty_fields) {
										BookYourTravel_Theme_Utils::render_tab("accommodation", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
									}
								}
								
								$i++;
							}
						}
					}
					
					do_action( 'bookyourtravel_show_single_accommodation_tab_items_after' ); 
					?>
				</ul>
			</nav>
			<!--//inner navigation-->
			<?php do_action( 'bookyourtravel_show_single_accommodation_tab_content_before' ); ?>
			<script>
				window.moreInfoText = <?php echo json_encode(esc_html__('+ more info', 'bookyourtravel')); ?>;
				window.lessInfoText = <?php echo json_encode(esc_html__('+ less info', 'bookyourtravel')); ?>;
			</script>
			<section id="availability" class="tab-content <?php echo $first_display_tab == 'availability' ? 'initial' : ''; ?>">
				<article>
					<?php do_action( 'bookyourtravel_show_single_accommodation_availability_before' ); ?>
					<h2><?php esc_html_e('Availability', 'bookyourtravel'); ?></h2>
					<?php 
					BookYourTravel_Theme_Utils::render_field("text-wrap availability_text", "", "", $accommodation_obj->get_custom_field('availability_text'), '', true, false);
					
					if (!$disabled_room_types) {
					
						$room_type_ids = $accommodation_obj->get_room_types();
						if ($room_type_ids && count($room_type_ids) > 0) {
						?>
						<ul class="room-types">
							<?php 
							// Loop through the items returned				
							for ( $z = 0; $z < count($room_type_ids); $z++ ) {
								$room_type_id = $room_type_ids[$z];
								$room_type_obj = new BookYourTravel_Room_Type(intval($room_type_id));
								$room_type_price = $bookyourtravel_accommodation_helper->get_accommodation_price($accommodation_id, $room_type_id);

								$min_adult_count = $room_type_obj->get_min_adult_count();
								$max_adult_count = $room_type_obj->get_max_adult_count();
								$min_child_count = $room_type_obj->get_min_child_count();
								$max_child_count = $room_type_obj->get_max_child_count();
							?>
							<!--room_type-->
							<li id="room_type_<?php echo esc_attr($room_type_id); ?>">
								<?php if ($room_type_obj->get_main_image('medium')) { ?>
								<figure class="left">
									<img src="<?php echo esc_url($room_type_obj->get_main_image('medium')) ?>" alt="<?php echo esc_attr($room_type_obj->get_title()) ?>" /><a href="<?php echo esc_url($room_type_obj->get_main_image()); ?>" class="image-overlay" rel="prettyPhoto[gallery<?php echo esc_attr($room_type_id); ?>]"></a>
								<?php } ?>
								<?php 
									$room_type_images = $room_type_obj->get_images();
									if ($room_type_images && count($room_type_images) > 0) {
										for ( $i = 0; $i < count($room_type_images); $i++ ) { 
											$image = $room_type_images[$i];
											$image_meta_id = $image['image'];
											$image_src = wp_get_attachment_image_src($image_meta_id, 'full');	
											$image_src = $image_src[0];
											if (!empty($image_src)) {										
								?>
								<a href="<?php echo esc_url($image_src); ?>" rel="prettyPhoto[gallery<?php echo esc_attr($room_type_id); ?>]"></a>
								<?php 		}
										}
									}?>
								</figure>
								<div class="meta room_type">
									<h3><?php echo $room_type_obj->get_title(); ?></h3>
									<?php BookYourTravel_Theme_Utils::render_field('text-wrap room_meta', '', '', $room_type_obj->get_custom_field('meta'), '', true, true); ?>
									<?php BookYourTravel_Theme_Utils::render_link_button("#", "more-info", "", esc_html__('+ more info', 'bookyourtravel')); ?>
								</div>
								<div class="room-information">
									<div>
										<span class="first"><?php esc_html_e('Max:', 'bookyourtravel'); ?></span>
										<span class="second">
											<?php for ( $j = 0; $j < $room_type_obj->get_max_adult_count(); $j++ ) { ?>
											<i class="material-icons">&#xE7FD;</i>
											<?php } ?>
										</span>
									</div>
									<?php if ($room_type_price > 0) { ?>
									<div>
										<span class="first"><?php esc_html_e('Price from:', 'bookyourtravel'); ?></span>
										<span class="second price">
											<em>
												<?php if (!$show_currency_symbol_after) { ?>
												<span class="curr"><?php echo esc_html($default_currency_symbol); ?></span>
												<span class="amount"><?php echo number_format_i18n( $room_type_price, $price_decimal_places ); ?></span>
												<?php } else { ?>
												<span class="amount"><?php echo number_format_i18n( $room_type_price, $price_decimal_places ); ?></span>
												<span class="curr"><?php echo esc_html($default_currency_symbol); ?></span>
												<?php } ?>
											</em>
											<input type="hidden" class="max_adult_count" value="<?php echo esc_attr($max_adult_count); ?>" />
											<input type="hidden" class="max_child_count" value="<?php echo esc_attr($max_child_count); ?>" />
											<input type="hidden" class="min_adult_count" value="<?php echo esc_attr($min_adult_count); ?>" />
											<input type="hidden" class="min_child_count" value="<?php echo esc_attr($min_child_count); ?>" />
										</span>
									</div>
									<?php BookYourTravel_Theme_Utils::render_link_button("#", "gradient-button book-accommodation-select-dates", "book-accommodation-$room_type_id", esc_html__('Select dates', 'bookyourtravel')); ?>
									<?php } ?>
								</div>
								<div class="more-information">
									<?php BookYourTravel_Theme_Utils::render_field('text-wrap room_facitilies', '', esc_html__('Room facilities:', 'bookyourtravel'), $room_type_obj->get_facilities_string(), '', true, true); ?>
									<?php echo $room_type_obj->get_description(); ?>
									<?php BookYourTravel_Theme_Utils::render_field('text-wrap bed_size', '', esc_html__('Bed size:', 'bookyourtravel'), $room_type_obj->get_custom_field('bed_size'), '', true, true); ?>
									<?php BookYourTravel_Theme_Utils::render_field('text-wrap room_size', '', esc_html__('Room size:', 'bookyourtravel'), $room_type_obj->get_custom_field('room_size'), '', true, true); ?>
								</div>
								<div class="booking_form_controls" style="display:none"></div>
							</li>
							<!--//room-->
							<?php 
							} 
							// Reset Second Loop Post Data
							wp_reset_postdata(); 
							// end while ?>
						</ul>	
						
					<?php 
						} else { 
							BookYourTravel_Theme_Utils::render_field('text-wrap no_availability', '', '', esc_html__('We are sorry, there are no rooms available at this accommodation at the moment', 'bookyourtravel'), '', true, true);
						}
					} else { 
						if ($accommodation_price > 0) {
						?>
						<div class="booking_form_controls" style="display:none"></div>
						<?php
						} else {
							BookYourTravel_Theme_Utils::render_field('text-wrap no_availability', '', '', esc_html__('We are sorry, this accommodation is not available to book at the moment', 'bookyourtravel'), '', true, true);
						}
					} ?>
					<?php BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, 'availability', $accommodation_obj); ?>
					<?php do_action( 'bookyourtravel_show_single_accommodation_availability_after' ); ?>
				</article>
			</section>	
			<!--description-->
			<section id="description" class="tab-content <?php echo $first_display_tab == 'description' ? 'initial' : ''; ?>">
				<article>		
					<?php 
					do_action( 'bookyourtravel_show_single_accommodation_description_before' );
					BookYourTravel_Theme_Utils::render_field("text-wrap description", "", "", $accommodation_obj->get_description(), esc_html__('General', 'bookyourtravel'), false, false, false);
					BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, 'description', $accommodation_obj);
					do_action( 'bookyourtravel_show_single_accommodation_description_after' ); 
					?>
				</article>
			</section>
			<!--//description-->	
			<!--facilities-->
			<section id="facilities" class="tab-content <?php echo $first_display_tab == 'facilities' ? 'initial' : ''; ?>">
				<article>
					<?php do_action( 'bookyourtravel_show_single_accommodation_facilites_before' ); ?>
					<?php 
					$facilities = $accommodation_obj->get_facilities();
					
					if ($facilities && count($facilities) > 0) { ?>
					<div class="text-wrap facilities">	
						<h2><?php esc_html_e('Facilities', 'bookyourtravel'); ?></h2>
						<ul class="three-col">
						<?php
						for( $i = 0; $i < count($facilities); $i++) {
							$accommodation_facility = $facilities[$i];
							echo '<li>' . $accommodation_facility->name . '</li>';
						} ?>					
						</ul>
					</div>
					<?php } // endif (!empty($accommodation_facilities)) ?>			
					<?php BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, 'facilities', $accommodation_obj); ?>			
					<?php do_action( 'bookyourtravel_show_single_accommodation_facilites_after' ); ?>
				</article>
			</section>
			<!--//facilities-->
			<?php if ((!empty($accommodation_latitude)) && (!empty($accommodation_longitude))) { ?>
			<!--location-->
			<section id="location" class="tab-content <?php echo $first_display_tab == 'location' ? 'active' : ''; ?>">
				<article>
					<?php do_action( 'bookyourtravel_show_single_accommodation_location_before' ); ?>
					<!--map--><div class="gmap" id="map_canvas"></div><!--//map-->
					<?php BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, 'location', $accommodation_obj); ?>			
					<?php do_action( 'bookyourtravel_show_single_accommodation_location_after' ); ?>
				</article>
			</section>
			<!--//location-->
			<?php }  ?>
			<?php if ($enable_reviews) { ?>
			<!--reviews-->
			<section id="reviews" class="tab-content <?php echo $first_display_tab == 'review' ? 'initial' : ''; ?>">
				<?php 
				do_action( 'bookyourtravel_show_single_accommodation_reviews_before' );
				get_template_part('includes/parts/review', 'item'); 
				BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, 'reviews', $accommodation_obj); 
				do_action( 'bookyourtravel_show_single_accommodation_reviews_after' ); 
				?>
			</section>
			<!--//reviews-->	
			<?php } // if ($enable_reviews) ?>
			<?php 
			if ($accommodation_location != null) { ?>
			<!--things to do-->
			<section id="things-to-do" class="tab-content <?php echo $first_display_tab == 'things-to-do' ? 'initial' : ''; ?>">
				<article>
					<?php do_action( 'bookyourtravel_show_single_accommodation_location_before' ); ?>
					<?php 				
						$sports_and_nature_field = BookYourTravel_Theme_Utils::find_extra_field($location_extra_fields, 'sports_and_nature');
						$culture_and_history_field = BookYourTravel_Theme_Utils::find_extra_field($location_extra_fields, 'culture_and_history');
						$nightlife_field = BookYourTravel_Theme_Utils::find_extra_field($location_extra_fields, 'nightlife');
						
						$sports_and_nature_field_label = esc_html__('Sports and nature', 'bookyourtravel');
						if (isset($sports_and_nature_field) && isset($sports_and_nature_field['label'])) {
							$sports_and_nature_field_label = $sports_and_nature_field['label'];
							$sports_and_nature_field_label = $bookyourtravel_theme_of_custom->get_translated_dynamic_string($bookyourtravel_theme_of_custom->get_option_id_context('location_extra_fields') . ' ' . $sports_and_nature_field_label, $sports_and_nature_field_label);
						}
						
						$culture_and_history_field_label = esc_html__('Culture &amp; history', 'bookyourtravel');
						if (isset($culture_and_history_field) && isset($culture_and_history_field['label'])) {
							$culture_and_history_field_label = $culture_and_history_field['label'];
							$culture_and_history_field_label = $bookyourtravel_theme_of_custom->get_translated_dynamic_string($bookyourtravel_theme_of_custom->get_option_id_context('location_extra_fields') . ' ' . $culture_and_history_field_label, $culture_and_history_field_label);
						}
						
						$nightlife_field_label = esc_html__('Nightlife', 'bookyourtravel');
						if (isset($nightlife_field) && isset($nightlife_field['label'])) {
							$nightlife_field_label = $nightlife_field['label'];
							$nightlife_field_label = $bookyourtravel_theme_of_custom->get_translated_dynamic_string($bookyourtravel_theme_of_custom->get_option_id_context('location_extra_fields') . ' ' . $nightlife_field_label, $nightlife_field_label);
						}
					
						BookYourTravel_Theme_Utils::render_field("accommodation_location", "", "", BookYourTravel_Theme_Utils::render_image('', '', $accommodation_location->get_main_image(), $accommodation_location->get_title(), $accommodation_location->get_title(), false) . $accommodation_location->get_excerpt(), $accommodation_location->get_title());
						BookYourTravel_Theme_Utils::render_field("sports_and_nature", "", "", BookYourTravel_Theme_Utils::render_image('', '', $accommodation_location->get_custom_field_image_uri('sports_and_nature_image', 'medium'), $sports_and_nature_field_label, $sports_and_nature_field_label, false) . $accommodation_location->get_custom_field('sports_and_nature'), $sports_and_nature_field_label);
						BookYourTravel_Theme_Utils::render_field("nightlife", "", "", BookYourTravel_Theme_Utils::render_image('', '', $accommodation_location->get_custom_field_image_uri('nightlife_image', 'medium'), $nightlife_field_label, $nightlife_field_label, false) . $accommodation_location->get_custom_field('nightlife'), $nightlife_field_label);
						BookYourTravel_Theme_Utils::render_field("culture_and_history", "", "", BookYourTravel_Theme_Utils::render_image('', '', $accommodation_location->get_custom_field_image_uri('culture_and_history_image', 'medium'), $culture_and_history_field_label, $culture_and_history_field_label, false) . $accommodation_location->get_custom_field('culture_and_history'), $culture_and_history_field_label);
					?>
					<hr />
					<?php BookYourTravel_Theme_Utils::render_link_button(get_permalink($accommodation_location->get_id()), "gradient-button right", "", esc_html__('Read more', 'bookyourtravel')); ?>
					<?php BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, 'things-to-do', $accommodation_obj); ?>			
					<?php do_action( 'bookyourtravel_show_single_accommodation_location_after' ); ?>
				</article>
			</section>
			<!--//things-to-do-->
			<?php } ?>
			<?php
			foreach ($tab_array as $tab) {
				if (count(BookYourTravel_Theme_Utils::custom_array_search($default_accommodation_tabs, 'id', $tab['id'])) == 0) {
				
					$all_empty_fields = BookYourTravel_Theme_Utils::are_tab_fields_empty('accommodation_extra_fields', $accommodation_extra_fields, $tab['id'], $accommodation_obj);
					
					if (!$all_empty_fields) {
				?>
					<section id="<?php echo esc_attr($tab['id']); ?>" class="tab-content <?php echo ($first_display_tab == $tab['id'] ? 'initial' : ''); ?>">
						<article>
							<?php do_action( 'bookyourtravel_show_single_accommodation_' . $tab['id'] . '_before' ); ?>
							<?php BookYourTravel_Theme_Utils::render_tab_extra_fields('accommodation_extra_fields', $accommodation_extra_fields, $tab['id'], $accommodation_obj); ?>			
							<?php do_action( 'bookyourtravel_show_single_accommodation_' . $tab['id'] . '_after' ); ?>
						</article>
					</section>
				<?php
					}
				}
			}	
			do_action( 'bookyourtravel_show_single_accommodation_tab_content_after' ); ?>
		</section>
		<!--//accommodation content-->	
		<?php
			get_sidebar('right-accommodation'); 
		?>
	</div>
	<?php
	} // end if
	?>
<div class="booking_form_controls_holder" style="display:none">
	<div class="text-wrap booking_terms">
		<div>
			<p><?php esc_html_e('Select your check-in and check-out dates using the calendar below to book this accommodation.', 'bookyourtravel') ?></p>
			<?php if ($accommodation_rent_type == 1 || $accommodation_rent_type == 2) { ?>
			<p>
			<?php if ($accommodation_rent_type == 1) { ?>
				<span class="rent_type"><?php _e('This accommodation is rented on a weekly basis', 'bookyourtravel'); ?></span>
			<?php } else { ?>
				<span class="rent_type"><?php _e('This accommodation is rented on a monthly basis', 'bookyourtravel'); ?></span>
			<?php } ?>
			</p>
			<?php } ?>			
			<?php if ($min_days_stay > 1 || $max_days_stay > 0 || $checkin_week_day > -1 || $checkout_week_day > -1) { ?>
			<p>
			<?php if ($min_days_stay > 0) { ?>
				<span class="min"><?php echo wp_kses(sprintf(__('Minimum days stay <strong>%d</strong>', 'bookyourtravel'), $min_days_stay), array('strong' => array())); ?></span>
			<?php } ?>
			<?php if ($max_days_stay > 0) { ?>
				<span class="max"><?php echo wp_kses(sprintf(__('Maximum days stay <strong>%d</strong>', 'bookyourtravel'), $max_days_stay), array('strong' => array())); ?></span>
			<?php } ?>
			<?php if ($checkin_week_day > -1) { ?>
				<span class="checkin_week_day"><?php echo wp_kses(sprintf(__('Check-ins allowed only on <strong>%s</strong>', 'bookyourtravel'), $checkin_week_day_text), array('strong' => array())); ?></span>
			<?php } ?>
			<?php if ($checkout_week_day > -1) { ?>
				<span class="checkout_week_day"><?php echo wp_kses(sprintf(__('Check-outs allowed only on <strong>%s</strong>', 'bookyourtravel'), $checkout_week_day_text), array('strong' => array())); ?></span>
			<?php } ?>		
			</p>
			<?php } ?>		
		</div>
	</div>
	<div class="row calendar-colors">
		<div class="f-item full-width">
			<div class="today"><span></span><?php esc_html_e('Today', 'bookyourtravel') ?></div>
			<div class="selected"><span></span><?php esc_html_e('Selected', 'bookyourtravel') ?></div>
			<div class="available"><span></span><?php esc_html_e('Available', 'bookyourtravel') ?></div>
			<div class="unavailable"><span></span><?php esc_html_e('Unavailable', 'bookyourtravel') ?></div>
		</div>		
	</div>
	<div class="error step1_error text-wrap" style="display:none;"><div><p></p></div></div>
	<div class="row calendar">
		<div class="f-item full-width">
			<div class="datepicker_holder"></div>
		</div>
	</div>
	<div class="row loading" id="datepicker_loading" style="display:none">
		<div class="ball"></div>
		<div class="ball1"></div>
	</div>
	<div class="text-wrap price_row" style="display:none">
		<h3><?php esc_html_e('Who is checking in?', 'bookyourtravel') ?></h3>
		<p><?php esc_html_e('Please select number of adults and children checking into the accommodation using the controls you see below.', 'bookyourtravel') ?></p>
	
		<div class="row">
			<div class="f-item one-half booking_form_adults_div">
				<label for="booking_form_adults"><?php esc_html_e('Adults', 'bookyourtravel') ?></label>
				<select class="dynamic_control" id="booking_form_adults" name="booking_form_adults"></select>
			</div>
			<div class="f-item one-half booking_form_children_div">
				<label for="booking_form_children"><?php esc_html_e('Children', 'bookyourtravel') ?></label>
				<select class="dynamic_control" id="booking_form_children" name="booking_form_children"></select>
			</div>
		</div>
	</div>
	<?php if ($enable_extra_items) { 
	global $bookyourtravel_extra_item_helper;

	$extra_items = $bookyourtravel_extra_item_helper->list_extra_items_by_post_type('accommodation', array($accommodation_obj->get_type_id()), $accommodation_obj->get_tag_ids());
	if (count($extra_items) > 0) {
	?>
	<div class="text-wrap price_row extra_items_row" style="display:none">
		<h3><?php esc_html_e('Extra items', 'bookyourtravel') ?></h3>
		<p><?php esc_html_e('Please select the extra items you wish to be included with your accommodation using the controls you see below.', 'bookyourtravel') ?></p>
	
		<table class="extraitems responsive">
			<thead>
				<tr>
					<th><?php esc_html_e('Item', 'bookyourtravel'); ?></th>
					<th><?php esc_html_e('Price', 'bookyourtravel'); ?></th>
					<th><?php esc_html_e('Per person?', 'bookyourtravel'); ?></th>
					<th><?php esc_html_e('Per day?', 'bookyourtravel'); ?></th>
					<th><?php esc_html_e('Quantity', 'bookyourtravel'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php
					foreach ($extra_items as $extra_item) {
						$accommodation_extra_item_obj = new BookYourTravel_Extra_Item($extra_item);
						$item_teaser = BookYourTravel_Theme_Utils::strip_tags_and_shorten_by_words($accommodation_extra_item_obj->get_content(), 20);
						$max_allowed = $accommodation_extra_item_obj->get_custom_field('_extra_item_max_allowed', false);
						$item_price =$accommodation_extra_item_obj->get_custom_field('_extra_item_price', false);
						$item_price_per_person = intval($accommodation_extra_item_obj->get_custom_field('_extra_item_price_per_person', false));
						$item_price_per_day = intval($accommodation_extra_item_obj->get_custom_field('_extra_item_price_per_day', false));
						
						if ($max_allowed > 0) {
					?>
					<tr>
						<td>
							<span id="extra_item_title_<?php echo esc_attr($extra_item->ID); ?>"><?php echo esc_html($extra_item->post_title); ?></span>
							<?php if (!empty($item_teaser)) { ?>
							<i>
							<?php
							$allowed_tags = BookYourTravel_Theme_Utils::get_allowed_content_tags_array();
							echo wp_kses($item_teaser, $allowed_tags); 
							?>											
							</i>
							<?php } ?>
						</td>
						<td>
							<em>
								<?php if (!$show_currency_symbol_after) { ?>
								<span class="curr"><?php echo esc_html($default_currency_symbol); ?></span>
								<span class="amount"><?php echo number_format_i18n( $item_price, $price_decimal_places ); ?></span>
								<?php } else { ?>
								<span class="amount"><?php echo number_format_i18n( $item_price, $price_decimal_places ); ?></span>
								<span class="curr"><?php echo esc_html($default_currency_symbol); ?></span>
								<?php } ?>
								<input type="hidden" value="<?php echo esc_attr($item_price); ?>" name="extra_item_price_<?php echo esc_attr($extra_item->ID); ?>" id="extra_item_price_<?php echo esc_attr($extra_item->ID); ?>" />
								<input type="hidden" value="<?php echo esc_attr($item_price_per_person); ?>" name="extra_item_price_per_person_<?php echo esc_attr($extra_item->ID); ?>" id="extra_item_price_per_person_<?php echo esc_attr($extra_item->ID); ?>" />
								<input type="hidden" value="<?php echo esc_attr($item_price_per_day); ?>" name="extra_item_price_per_day_<?php echo esc_attr($extra_item->ID); ?>" id="extra_item_price_per_day_<?php echo esc_attr($extra_item->ID); ?>" />
							</em>							
						</td>
						<td><?php echo $item_price_per_person ? esc_html__('Yes', 'bookyourtravel') : esc_html__('No', 'bookyourtravel'); ?></td>
						<td><?php echo $item_price_per_day ? esc_html__('Yes', 'bookyourtravel') : esc_html__('No', 'bookyourtravel'); ?></td>
						<td>
							<select class="extra_item_quantity dynamic_control" name="extra_item_quantity_<?php echo esc_attr($extra_item->ID); ?>" id="extra_item_quantity_<?php echo esc_attr($extra_item->ID); ?>">
								<?php for ($i=0;$i<=$max_allowed;$i++) {?>
								<option value="<?php echo esc_attr($i); ?>"><?php echo esc_html($i); ?></option>
								<?php } ?>
							</select>
						</td>
					</tr>
					<?php
						}
					}
				?>
			</tbody>
			<tfoot></tfoot>
		</table>
	</div>
	<?php }
	}
	?>
	<div class="text-wrap dates_row" style="display:none">
		<h3><?php esc_html_e('Summary', 'bookyourtravel'); ?></h3>
		<p><?php esc_html_e('The summary of your accommodation booking is shown below.', 'bookyourtravel'); ?></p>
		
			<table class="summary responsive">
				<tbody>
					<tr>
						<th><?php esc_html_e('Check in', 'bookyourtravel') ?></th>
						<td>
							<span class="date_from_text"></span>
							<input type="hidden" name="selected_date_from" id="selected_date_from" value="" />
						</td>
					</tr>
					<tr>
						<th><?php esc_html_e('Check out', 'bookyourtravel') ?></th>
						<td>
							<span class="date_to_text"><?php esc_html_e('Select your check out date using the calendar above.', 'bookyourtravel') ?></span>
							<input type="hidden" name="selected_date_to" id="selected_date_to" value="" />
						</td>
					</tr>
					<tr class="room_type_row" style="display:none">
						<th>
							<?php esc_html_e('Room type', 'bookyourtravel') ?>
						</th>
						<td>
							<span class="room_type_span"></span>
							<input type="hidden" name="room_type_id" id="room_type_id" />							
						</td>
					</tr>
					<tr class=" people_count_div" style="display:none">
						<th>
							<?php esc_html_e('People', 'bookyourtravel') ?>
						</th>
						<td>
							<span class="people_text">1</span>
						</td>
					</tr>
					<tr class=" adult_count_div">
						<th>
							<?php esc_html_e('Adults', 'bookyourtravel') ?>
						</th>
						<td>
							<span class="adults_text">1</span>
						</td>
					</tr>
					<tr class=" children_count_div">
						<th>
							<?php esc_html_e('Children', 'bookyourtravel') ?>
						</th>
						<td>
							<span class="children_text">0</span>
						</td>
					</tr>
					<?php if ($enable_extra_items) { ?>
					<tr>
						<th>
							<?php esc_html_e('Reservation total', 'bookyourtravel') ?>
						</th>
						<td>
							<span class="reservation_total"></span>
						</td>
					</tr>
					<tr class="extra_items_breakdown_row">
						<th>
							<?php esc_html_e('Extra items total', 'bookyourtravel') ?>
						</th>
						<td>
							<span class="extra_items_total"></span>
						</td>
					</tr>
					<?php } ?>						
				</tbody>
				<tfoot>
					<tr>
						<th>
						<?php
							if ($accommodation_is_price_per_person && $accommodation_count_children_stay_free > 0)
								echo $total_price_children_stay_free_label;
							else
								echo $total_price_label;
						?>
						</th>
						<td class="total_price"></td>
					</tr>
				</tfoot>
			</table>
		<a href="#" class="toggle_breakdown show_breakdown"><?php esc_html_e('Show price breakdown', 'bookyourtravel') ?></a>
		<div class="row price_breakdown_row hidden" style="display:none">
			<div class="f-item full-width">
				<label><?php esc_html_e('Accommodation price breakdown', 'bookyourtravel') ?></label>
				<table class="accommodation_price_breakdown tablesorter responsive">
					<thead></thead>
					<tbody></tbody>
					<tfoot></tfoot>
				</table>
			</div>
		</div>
		<div class="row price_breakdown_row extra_items_breakdown_row" style="display:none">
			<div class="f-item full-width">
				<label><?php esc_html_e('Extra items price breakdown', 'bookyourtravel') ?></label>
				<table class="extra_items_price_breakdown tablesorter responsive">
					<thead></thead>
					<tbody></tbody>
					<tfoot></tfoot>
				</table>
			</div>
		</div>
	</div>
	<div class='booking-commands'>
	<?php
	BookYourTravel_Theme_Utils::render_link_button("#", "gradient-button book-accommodation-reset", "book-accommodation-rest", esc_html__('Reset', 'bookyourtravel'));
	BookYourTravel_Theme_Utils::render_link_button("#", "gradient-button book-accommodation-next", "book-accommodation-next", esc_html__('Proceed', 'bookyourtravel'));
	?>
	</div>
</div>
<?php
get_footer();